#
# spec file for package flaa
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           flaa
Version:        1.0.2
Release:        3.38
Summary:        RigExpert interface application
License:        GPL-3.0
Group:          Productivity/Hamradio/Other
Url:            http://www.w1hkj.com
#Git-Clone:     https://git.code.sf.net/p/fldigi/flaa
Source:         http://downloads.sourceforge.net/project/fldigi/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libX11-devel
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
flaa is an interface application for RigExpert antenna analyzers.
https://rigexpert.com/products/antenna-analyzers/

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%suse_update_desktop_file -i flaa

%check
make %{?_smp_mflags} check

%if 0%{?suse_version} < 1325
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/flaa
%{_datadir}/applications/flaa.desktop
%{_datadir}/pixmaps/flaa.xpm

%changelog
* Thu Nov 25 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- minor spefile update
* Sun Jan  7 2018 wk@ire.pw.edu.pl
- fixed BuildRequires and missing default file attributes
* Sat Jan  6 2018 wk@ire.pw.edu.pl
- version 1.0.2
- initial specfle
